BANK KALTENG - Feature #961

[Attendance Mobile] Multiple Attendance
03/11/2022 10:42 AM - Anonymous

Status: Closed Start date: 03/11/2022
Priority: Urgent Due date: 03/12/2022
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mang Wanto,

Mohon bantuannya untuk menambahkan validasi pada saat melakukan Attendance melalui mobile, yaitu :

1. Attendence Type Jam Kerja
- Hanya bisa melakukan Clock In sekali di hari dan tanggal yang sama

- Hanya bisa melakukan Clock Out jika sudah melakukan Clock In di hari tersebut

2. Attendence Type Jam Istirahat

- Hanya bisa dilakukan jika telah Clock In dengan Attandance Type Jam Kerja
- Hanya bisa melakukan Clock In Jam Istirahat jika sudah melakukan Clock In
- Hanya dapat melakukan Clock In dan Clock Out di kawasan kantor (Jarak yang telah ditentukan)

History

#1 - 03/11/2022 10:45 AM - Saswanto Tampan
- Status changed from New to QA Test

- Assignee changed from Saswanto Tampan to Anonymous

UPDATE API MOBILE

design table PHRPA0019 ditambah kolom Sequence

SDATATABLEFIELD pada table PHRPA0019 di tambahkan :

PHRPAQ0O19 Sequence 4 SEQ 2 11 0 O NULL 1 00
minovais 20160530111310 minovais 20160725161738

PCMEPMDCON pada table PHRPA0019 di rubah:
PHRPA00O19 0 N3 AttendanceType TM minovais 20160101010101

PCMWFDISTRUCT pada table PHRPA0019 di rubah:

0 0 01 000 OO0 O 0 O NULL

minovais 20160101010101

PHRPAQ0O19 Y SC N2 N3 StartDate EndDate Sequence NULL NULL NULL NULL

#2 - 03/11/2022 02:58 PM - Mega Yunita

Mas Wanto,

Masih ditemukan bug, YAITU

1. jika Attandance Type OTS/WFH (3000) melakukan Clock In, data berhasil masuk. Tetapi ketika melakukan Clock out, data yang masuk itu

merubah data Start Time (data Clock In), bukan End Time nya.

2. Location ketika melakukan Clock Out dengan Attandance Type OTS/WFH (3000) tidak tersimpan ke DB.

#3 - 04/11/2022 04:42 PM - Mega Yunita
- Status changed from QA Test to Closed
